// pvp三个对手
import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicPvpTeamLevel {
    // id
    readonly id: number;
    // 队伍等级
    readonly teamLv: number;
    // 最高五人军功和下限
    readonly topLineupMin: number;
    // 最高五人军功和上限
    readonly topLineupMax: number;
}

export const dicPvpTeamLevel = new Array<DicPvpTeamLevel>();
export function loadPvpTeamLevel() {
    dicPvpTeamLevel.splice(0, dicPvpTeamLevel.length)
    let arr = readFileAndParse(FILENAME.DIC_PVP_TEAM_LEVEL);

    arr.forEach(o => {
        dicPvpTeamLevel.push(o);
    });
    
    arr = undefined;
}